## org.eclipse.emf.cdo.server
Interface IStoreAccessor.CommitContext

Enclosing interface:
  IStoreAccessor

    public static interface IStoreAccessor.CommitContext

Represents the state of a single, logical commit operation which is driven through multiple calls to several methods on the `IStoreAccessor` API. All these method calls get the same `CommitContext` instance passed so that the implementor of the `IStoreAccessor` can track the state and progress of the commit operation.

Since:
  2.0

Method Summary
`void` `addIDMapping(CDOIDTemp oldID, CDOID newID)`
`void` `applyIDMappings(org.eclipse.net4j.util.om.monitor.OMMonitor monitor)`
`CDOID[]` `getDetachedObjects()` Returns an array of the removed object that are part of the commit operation represented by this `CommitContext`.
`InternalCDORevisionDelta[]` `getDirtyObjectDeltas()` Returns an array of the dirty object deltas that are part of the commit operation represented by this `CommitContext`.
`InternalCDORevision[]` `getDirtyObjects()` Returns an array of the dirty objects that are part of the commit operation represented by this `CommitContext`.
`java.util.Map<CDOIDTemp,CDOID>` `getIDMappings()` Returns an unmodifiable map from all temporary IDs (meta or not) to their persistent counter parts.
`InternalCDORevision[]` `getNewObjects()` Returns an array of the new objects that are part of the commit operation represented by this `CommitContext`.
`InternalCDOPackageUnit[]` `getNewPackageUnits()` Returns an array of the new package units that are part of the commit operation represented by this `CommitContext`.
`InternalCDOPackageRegistry` `getPackageRegistry()` Returns the temporary, transactional package manager associated with the commit operation represented by this `CommitContext`.
`long` `getTimeStamp()` Returns the time stamp of this commit operation.
`int` `getTransactionID()` Returns the ID of the transactional view (`ITransaction`) which is the scope of the commit operation represented by this `CommitContext`.

Method Detail

### getTransactionID

    int getTransactionID()

  Returns the ID of the transactional view (`ITransaction`) which is the scope of the commit operation represented by this `CommitContext`.

### getTimeStamp

    long getTimeStamp()

  Returns the time stamp of this commit operation.

### getPackageRegistry

    InternalCDOPackageRegistry getPackageRegistry()

  Returns the temporary, transactional package manager associated with the commit operation represented by this `CommitContext`. In addition to the packages registered with the session this package manager also contains the new packages that are part of this commit operation.

### getNewPackageUnits

    InternalCDOPackageUnit[] getNewPackageUnits()

  Returns an array of the new package units that are part of the commit operation represented by this `CommitContext`.

### getNewObjects

    InternalCDORevision[] getNewObjects()

  Returns an array of the new objects that are part of the commit operation represented by this `CommitContext`.

### getDirtyObjects

    InternalCDORevision[] getDirtyObjects()

  Returns an array of the dirty objects that are part of the commit operation represented by this `CommitContext`.

### getDirtyObjectDeltas

    InternalCDORevisionDelta[] getDirtyObjectDeltas()

  Returns an array of the dirty object deltas that are part of the commit operation represented by this `CommitContext`.

### getDetachedObjects

    CDOID[] getDetachedObjects()

  Returns an array of the removed object that are part of the commit operation represented by this `CommitContext`.

  Since:
    2.0

### getIDMappings

    java.util.Map<CDOIDTemp,CDOID> getIDMappings()

  Returns an unmodifiable map from all temporary IDs (meta or not) to their persistent counter parts. It is initially populated with the mappings of all new meta objects.

### addIDMapping

    void addIDMapping(CDOIDTemp oldID,
                      CDOID newID)

### applyIDMappings

    void applyIDMappings(org.eclipse.net4j.util.om.monitor.OMMonitor monitor)

Copyright (c) 2004 - 2009 Eike Stepper (Berlin, Germany) and others. All Rights Reserved.